// Accessing interfaces within .DLL files without using COM example
// Written by Justin Blackwell
// email: jdb8@ukc.ac.uk

#include <windows.h>
#include "D3DRenderer.h"



void D3DRenderer::Render3DGame()
{

	MessageBox( NULL, "Hello from D3DRenderer", "D3D Renderer", MB_OK );

}


IRenderer* CreateRendererInstance( )
{

	return new D3DRenderer;

}

void FreeRendererInstance( IRenderer* renderer )
{

	delete renderer;

}